<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:51:06 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Class Hierarchy (org.eclipse.papyrus.designer.languages.java.profile 1.0.4-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Class Hierarchy (org.eclipse.papyrus.designer.languages.java.profile 1.0.4-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?overview-tree.html" target="_top">Frames</a></li>
<li><a href="overview-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For All Packages</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="org/eclipse/papyrus/designer/languages/java/profile/package-tree.html">org.eclipse.papyrus.designer.languages.java.profile</a>, </li>
<li><a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/package-tree.html">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava</a>, </li>
<li><a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/package-tree.html">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl</a>, </li>
<li><a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/package-tree.html">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.util</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Object</span></a>
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.<a href="org/eclipse/papyrus/designer/languages/java/profile/Activator.html" title="class in org.eclipse.papyrus.designer.languages.java.profile"><span class="typeNameLink">Activator</span></a> (implements org.osgi.framework.BundleActivator)</li>
<li type="circle">org.eclipse.emf.common.notify.impl.AdapterFactoryImpl (implements org.eclipse.emf.common.notify.AdapterFactory)
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.util.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaAdapterFactory.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.util"><span class="typeNameLink">PapyrusJavaAdapterFactory</span></a></li>
</ul>
</li>
<li type="circle">org.eclipse.emf.common.notify.impl.BasicNotifierImpl (implements org.eclipse.emf.common.notify.Notifier)
<ul>
<li type="circle">org.eclipse.emf.ecore.impl.BasicEObjectImpl (implements org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject)
<ul>
<li type="circle">org.eclipse.emf.ecore.impl.MinimalEObjectImpl (implements org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder)
<ul>
<li type="circle">org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/ArrayImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><span class="typeNameLink">ArrayImpl</span></a> (implements org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Array.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">Array</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/DefaultImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><span class="typeNameLink">DefaultImpl</span></a> (implements org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Default.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">Default</a>)</li>
<li type="circle">org.eclipse.emf.ecore.impl.EModelElementImpl (implements org.eclipse.emf.ecore.EModelElement)
<ul>
<li type="circle">org.eclipse.emf.ecore.impl.EFactoryImpl (implements org.eclipse.emf.ecore.resource.impl.BinaryResourceImpl.DataConverter.Factory, org.eclipse.emf.ecore.EFactory)
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/PapyrusJavaFactoryImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><span class="typeNameLink">PapyrusJavaFactoryImpl</span></a> (implements org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaFactory.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">PapyrusJavaFactory</a>)</li>
</ul>
</li>
<li type="circle">org.eclipse.emf.ecore.impl.ENamedElementImpl (implements org.eclipse.emf.ecore.ENamedElement)
<ul>
<li type="circle">org.eclipse.emf.ecore.impl.EPackageImpl (implements org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, org.eclipse.emf.ecore.EPackage)
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/PapyrusJavaPackageImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><span class="typeNameLink">PapyrusJavaPackageImpl</span></a> (implements org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">PapyrusJavaPackage</a>)</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/ExternalImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><span class="typeNameLink">ExternalImpl</span></a> (implements org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/External.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">External</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/ExternLibraryImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><span class="typeNameLink">ExternLibraryImpl</span></a> (implements org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/ExternLibrary.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">ExternLibrary</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/FinalImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><span class="typeNameLink">FinalImpl</span></a> (implements org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Final.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">Final</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/ImportImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><span class="typeNameLink">ImportImpl</span></a> (implements org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Import.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">Import</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/ManualGenerationImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><span class="typeNameLink">ManualGenerationImpl</span></a> (implements org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/ManualGeneration.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">ManualGeneration</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/NativeImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><span class="typeNameLink">NativeImpl</span></a> (implements org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Native.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">Native</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/NoCodeGenImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><span class="typeNameLink">NoCodeGenImpl</span></a> (implements org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/NoCodeGen.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">NoCodeGen</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/StaticClassifierImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><span class="typeNameLink">StaticClassifierImpl</span></a> (implements org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/StaticClassifier.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">StaticClassifier</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/StrictfpImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><span class="typeNameLink">StrictfpImpl</span></a> (implements org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Strictfp.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">Strictfp</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/SynchronizedImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><span class="typeNameLink">SynchronizedImpl</span></a> (implements org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Synchronized.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">Synchronized</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/TemplateBindingImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><span class="typeNameLink">TemplateBindingImpl</span></a> (implements org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/TemplateBinding.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">TemplateBinding</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/TemplateImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><span class="typeNameLink">TemplateImpl</span></a> (implements org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Template.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">Template</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/TemplateParameterImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><span class="typeNameLink">TemplateParameterImpl</span></a> (implements org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/TemplateParameter.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">TemplateParameter</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/TransientImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><span class="typeNameLink">TransientImpl</span></a> (implements org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Transient.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">Transient</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/VariadicImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><span class="typeNameLink">VariadicImpl</span></a> (implements org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Variadic.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">Variadic</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/VolatileImpl.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.impl"><span class="typeNameLink">VolatileImpl</span></a> (implements org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Volatile.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">Volatile</a>)</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.eclipse.emf.ecore.util.Switch&lt;T&gt;
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.util.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.util"><span class="typeNameLink">PapyrusJavaSwitch</span></a>&lt;T&gt;</li>
</ul>
</li>
</ul>
</li>
</ul>
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">org.eclipse.emf.common.notify.Notifier
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Array.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">Array</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Default.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">Default</span></a></li>
<li type="circle">org.eclipse.emf.ecore.EFactory
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaFactory.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">PapyrusJavaFactory</span></a></li>
</ul>
</li>
<li type="circle">org.eclipse.emf.ecore.EModelElement
<ul>
<li type="circle">org.eclipse.emf.ecore.EFactory
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaFactory.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">PapyrusJavaFactory</span></a></li>
</ul>
</li>
<li type="circle">org.eclipse.emf.ecore.ENamedElement
<ul>
<li type="circle">org.eclipse.emf.ecore.EPackage
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">PapyrusJavaPackage</span></a></li>
</ul>
</li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">PapyrusJavaPackage</span></a></li>
</ul>
</li>
<li type="circle">org.eclipse.emf.ecore.EPackage
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">PapyrusJavaPackage</span></a></li>
</ul>
</li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaFactory.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">PapyrusJavaFactory</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">PapyrusJavaPackage</span></a></li>
</ul>
</li>
<li type="circle">org.eclipse.emf.ecore.ENamedElement
<ul>
<li type="circle">org.eclipse.emf.ecore.EPackage
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">PapyrusJavaPackage</span></a></li>
</ul>
</li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">PapyrusJavaPackage</span></a></li>
</ul>
</li>
<li type="circle">org.eclipse.emf.ecore.EObject
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Array.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">Array</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Default.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">Default</span></a></li>
<li type="circle">org.eclipse.emf.ecore.EFactory
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaFactory.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">PapyrusJavaFactory</span></a></li>
</ul>
</li>
<li type="circle">org.eclipse.emf.ecore.EModelElement
<ul>
<li type="circle">org.eclipse.emf.ecore.EFactory
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaFactory.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">PapyrusJavaFactory</span></a></li>
</ul>
</li>
<li type="circle">org.eclipse.emf.ecore.ENamedElement
<ul>
<li type="circle">org.eclipse.emf.ecore.EPackage
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">PapyrusJavaPackage</span></a></li>
</ul>
</li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">PapyrusJavaPackage</span></a></li>
</ul>
</li>
<li type="circle">org.eclipse.emf.ecore.EPackage
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">PapyrusJavaPackage</span></a></li>
</ul>
</li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaFactory.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">PapyrusJavaFactory</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">PapyrusJavaPackage</span></a></li>
</ul>
</li>
<li type="circle">org.eclipse.emf.ecore.ENamedElement
<ul>
<li type="circle">org.eclipse.emf.ecore.EPackage
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">PapyrusJavaPackage</span></a></li>
</ul>
</li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">PapyrusJavaPackage</span></a></li>
</ul>
</li>
<li type="circle">org.eclipse.emf.ecore.EPackage
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">PapyrusJavaPackage</span></a></li>
</ul>
</li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/External.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">External</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/ExternLibrary.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">ExternLibrary</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Final.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">Final</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Import.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">Import</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/ManualGeneration.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">ManualGeneration</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Native.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">Native</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/NoCodeGen.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">NoCodeGen</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaFactory.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">PapyrusJavaFactory</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">PapyrusJavaPackage</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/StaticClassifier.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">StaticClassifier</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Strictfp.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">Strictfp</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Synchronized.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">Synchronized</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Template.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">Template</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/TemplateBinding.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">TemplateBinding</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/TemplateParameter.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">TemplateParameter</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Transient.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">Transient</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Variadic.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">Variadic</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Volatile.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">Volatile</span></a></li>
</ul>
</li>
<li type="circle">org.eclipse.emf.ecore.EPackage
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">PapyrusJavaPackage</span></a></li>
</ul>
</li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/External.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">External</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/ExternLibrary.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">ExternLibrary</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Final.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">Final</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Import.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">Import</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/ManualGeneration.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">ManualGeneration</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Native.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">Native</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/NoCodeGen.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">NoCodeGen</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaFactory.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">PapyrusJavaFactory</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">PapyrusJavaPackage</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/StaticClassifier.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">StaticClassifier</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Strictfp.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">Strictfp</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Synchronized.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">Synchronized</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Template.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">Template</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/TemplateBinding.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">TemplateBinding</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/TemplateParameter.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">TemplateParameter</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Transient.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">Transient</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Variadic.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">Variadic</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Volatile.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">Volatile</span></a></li>
</ul>
</li>
<li type="circle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.<a href="org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.Literals.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><span class="typeNameLink">PapyrusJavaPackage.Literals</span></a></li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?overview-tree.html" target="_top">Frames</a></li>
<li><a href="overview-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
